Subject: Re: [PATCH net-next v6 04/23] zinc: ChaCha20 x86_64 implementation

From: Abel Vesa <[email-masked]>
Date: Sat, 29 Sep 2018 11:27:29 +0300

On 18-09-29 10:11:18, Borislav Petkov wrote:
> On Sat, Sep 29, 2018 at 10:00:29AM +0200, Ard Biesheuvel wrote:
> > Note that this is the author of the *patch* not necessarily the author
> > of the code.
> > 
> > Anyone is free to submit patches adding code authored by others as
> > long as the author has made it available under a suitable license, and
> > this is actually the whole point of the S-o-B: you are stating to the
> > next guy that the code included in your patch was made available to
> > you under a compatible license.
> 
> ... and the actual author could be named with Originally-by or
> Co-Developed-by:, and even in free text in the commit message.

Or you could just put the original author as the first S-o-b and then
another (second) S-o-b line where you put yourself as a submitter.

AFAIK, that's how people usually do it.

> 
> But the correct SOB chain denoting who handled the patch on its way up,
> is important.
> 
> -- 
> Regards/Gruss,
>     Boris.
> 
> Good mailing practices for 400: avoid top-posting and trim the reply.